
<!-- {{ javascript_include("/js/datagrid-detailview.js") }} -->

{{ javascript_include("/js/mock.js") }}
<!-- {{ javascript_include("/js/extend/AssembleMaterials.js") }} -->
{{ javascript_include("/js/datagrid-groupview1.js") }}
<style>
    .assembleMaterials_button{
        display:inline-block;
        width:80px;
        margin: 5px 10px;
        text-align: center;
        padding:5px;
        font-size:15px;
        background:#F2F2F2;
        border:1px solid #E4E4E4;
        box-shadow:0px 2px 5px 0px rgba(0, 0, 0, 0.1);
        border-radius:5px;
        cursor: pointer;
    }
    .abm_tool_btn{
        display:inline-block;
        width: 50px;
        text-align: center;
        border:1px solid #587ed1;
        color:#587ed1;
    }
    .datagrid-row-title{
        font-size: 14px;
        font-weight: bold;
    }
    /*****新增样式********/
    .assembleMaterials_tool{
        display: flex;
        justify-content:flex-end;
        border-top:1px solid #ddd;
        padding:5px
    }
    .select_tick{
        background:#F6F8FD;
        border-color: #01A9EA;
        color:#018EC5;
    }
    .circle,.tick{
        height: 10px;
        width: 10px;
        display: inline-block;
        margin-right: 5px;
        cursor: pointer;
    }
    .tick{
        background: url(../images/choosedd.png) no-repeat center center;
    }
    .circle{
        background: url(../images/unchoose.png) no-repeat center center;
        border-radius: 50%;
    }
    .assembleMaterials_tool span{
        margin:0px 10px;
    }
    .abm_tool_btn{
        margin-left:10px;
        cursor: pointer;
    }
    .datagrid-group{
        background:#ddd;
    }
    .assembleMaterials_panel .datagrid-header{
        /* display:none; */
    }
    #machine_dialog iframe{
        /* width: 100%;
        height:100%; */
    }
</style>
<button>机台变更</button>
<div class="easyui-dialog" id="machine_dialog" title="变更机台" style="width:1100px;height:500px" data-options="closed:true">
    <iframe src="/perfect/machine" frameborder="0" style="width:100%;height: 100%;"></iframe>
</div>
<table style="border:1px solid #333;width:900px;height:800px">
    <tr>
        <td>
            <!-- 组件html -->
            <div class="easyui-AssembleMaterials" style="width:100%">
                <div class="assembleMaterials_buttons">
                    <div class="assembleMaterials_button select_tick"><span class="tick"></span>领料</div>
                    <div class="assembleMaterials_button"><span class="circle"></span> 报工</div>
                </div>
                <div class="assembleMaterials_tool">
                    
                        <span>工序:</span>
                        <input type="text" class="easyui-combobox">

                        <span>物料名称:</span>
                        <input type="text" class="easyui-textbox">

                        <div class="abm_tool_btn">搜索</div>
                        <div class="abm_tool_btn">保存</div>
                    
                </div>
                <div class="assembleMaterials_panel">
                        <table class="easyui-datagrid system_AssembleMaterials">
                            
                        </table>
                </div>
            </div>
        </td>
    </tr>
</table>
<script>

    const Random = Mock.Random;
    var rows_num=Random.natural(1, 100)
    var data=[];
    for(let i=0;i<rows_num;i++){
        var template={
            sx_num: Random.float(-100000, 1000000, 0, 10),
            yl_num: Random.float(-100000, 1000000, 0, 10),
            ky_num: Random.float(-100000, 1000000, 0, 10),
            lingliao_num: Random.float(-100000, 1000000, 0, 10),
            unit:Random.cword(1,1),
            pz_type:Random.cword(1,3),
            name:Random.cname(),
            string:Random.cword(3,25)
        }
        data.push(template);
    }
    console.log(data);
    // $(".system_AssembleMaterials").datagrid("loadData",data);
    $(function(){
        $(".system_AssembleMaterials").datagrid({
            width:'100%',
            fitColumns:true,
            columns:[[
                {field:'sx_num',title:'所需',
                // formatter:function(value,row,index){
                //     return "所需"+" ("+row.unit+") : "+value;
                // }
                specialNum:'datagrid_num',
            },
                {field:'yl_num',title:'已领',
                // formatter:function(value,row,index){
                //     return "已领"+" ("+row.unit+") : "+value;
                // }
                specialNum:'datagrid_amount',
                dis_thousands:true
            } ,{field:'string',title:'字符串'
                // formatter:function(value,row,index){
                //     return "已领"+" ("+row.unit+") : "+value;
                // }
            },
                {field:'ky_num',title:'可用量',
                // formatter:function(value,row,index){
                //     return "可用量"+" ("+row.unit+") : "+value;
                // }
            },
                {field:'lingliao_num',title:'领用数量',editor:"numberbox",

                // formatter:function(value,row,index){
                //     return "领用数量"+" ("+row.unit+") : "+value;
                // }
            },
            ]],
            view:groupview,
            groupField:['pz_type'],
            groupTitle:'name',
            groupColspan:4,
            groupFormatter:function(value,rows){
                console.log(value);
                return value[0]+"("+rows.length+"条) <span class='pointer_icon' data-name='"+value[0]+"'></span>";
            }
        })
        $(".system_AssembleMaterials").datagrid("loadData",data);

        $("button").click(function(){
            $("#machine_dialog").dialog("open");
        })
    })
    
    
</script>
